{%- from "shuup_definite_theme/macros/navigation.jinja" import render_checkout_navigation with context -%}

{% if view.horizontal_template %}
    {% extends "shuup/front/checkout/_horizontal_phases.jinja" %}
{% else %}
    {% extends "shuup/front/checkout/_vertical_phases.jinja" %}
{% endif %}

{% block navigation %}
    {% if xtheme.focused_checkout() %}
        {{ render_checkout_navigation() }}
    {% else %}
        {{ super() }}
    {% endif %}
{% endblock %}

{% block footer %}
    {% if not xtheme.focused_checkout() %}
        {{ super() }}
    {% endif %}
{% endblock %}
